"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CreateTranslatableCollectionRepository = void 0;
var _GetModel = require("../../GetModel");
var _TranslatableCollectionMapper = require("./mappers/TranslatableCollectionMapper");
class CreateTranslatableCollectionRepository {
  constructor(context) {
    this.context = context;
  }
  async execute(collection) {
    const model = await _GetModel.GetModel.byModelId(this.context, "translatableCollection");
    await this.context.cms.createEntry(model, _TranslatableCollectionMapper.TranslatableCollectionMapper.toDTO(collection));
  }
}
exports.CreateTranslatableCollectionRepository = CreateTranslatableCollectionRepository;

//# sourceMappingURL=CreateTranslatableCollectionRepository.js.map