import { TranslatedItem } from "./TranslatedItem";
interface TranslatedCollectionProps {
    collectionId: string;
    languageCode: string;
    items: TranslatedItem[];
}
export declare class TranslatedCollection {
    private props;
    private id?;
    constructor(props: TranslatedCollectionProps, id?: string);
    getId(): string | undefined;
    setId(id: string): void;
    getCollectionId(): string;
    getLanguageCode(): string;
    getItems(): TranslatedItem[];
    setItems(items: TranslatedItem[]): void;
    updateItems(newItems: TranslatedItem[]): void;
    getTranslatedValue(itemId: string): string | undefined;
}
export {};
