import { PbContext } from "../../../graphql/types";
import { TranslatableCollection } from "../domain/TranslatableCollection";
export interface SaveTranslatableCollectionParams {
    collectionId: string;
    items: Array<{
        itemId: string;
        value: string;
        modifiedOn?: string;
        context?: Record<string, any>;
    }>;
}
export declare class SaveTranslatableCollectionUseCase {
    private readonly context;
    constructor(context: PbContext);
    execute(params: SaveTranslatableCollectionParams): Promise<TranslatableCollection>;
    private getIdentity;
}
